Page MenuHomePhabricator

Deploy mediawiki-Dashiki extension to meta.wikimedia.org
Closed, ResolvedPublic

Description

Community discussion and approval is at: https://meta.wikimedia.org/wiki/Meta:Babel#Enabling_Dashiki_Extension_on_Meta_wiki

A security review was performed by Chad H, the task for building the extension and deploying it to beta is T125403

I can give any additional context needed, but the procedure here didn't mention anything else.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2017, 10:11 PM
Milimetric updated the task description. (Show Details)Feb 2 2017, 10:18 PM

Does the security review have an associated Phabricator Maniphest task? Were there notes from the review?

(Is there a list somewhere of people who can do security reviews?)

@MZMcBride the security review was done by Chad in this case, and it wasn't formalized because there's literally like one line of code that even does anything in this extension:

https://phabricator.wikimedia.org/T125403#2962351

The gerrit change mentioned on that task (and linked there) is this: https://gerrit.wikimedia.org/r/#/c/333086/

I'm wondering: how do I move this forward, the instructions about deployment seem to stop at this phase.

I'm wondering: how do I move this forward, the instructions about deployment seem to stop at this phase.

Do you have deployment access? If so, you can just schedule a time to do the deployment at https://wikitech.wikimedia.org/wiki/Deployments. Otherwise, you'll need to find someone who can do the deployment for you. @Dereckson or @Reedy can likely help.

I think this task is blocked on deploying and populating a Config namespace on Meta-Wiki? Looking at https://meta.wikimedia.org/wiki/Special:PrefixIndex/Config:, these pages are all currently in a pseudo-namespace.

Using Configuration instead of Config might be preferable.

I think this task is blocked on deploying and populating a Config namespace on Meta-Wiki? Looking at https://meta.wikimedia.org/wiki/Special:PrefixIndex/Config:, these pages are all currently in a pseudo-namespace.
Using Configuration instead of Config might be preferable.

The Config namespace is already on meta, the extension that enables it is JsonConfig. You're right that all those pages aren't technically in the Config namespace, which is weird... I'm not sure how exactly JsonConfig works, but it does seem to deny creation of pages in the Config: namespace on beta.

I don't have deployment access anyway, so I'll find someone who does and try and sort it out. Thanks.

Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 336444 had a related patch set uploaded (by Milimetric):
Enable Dashiki extension on meta.wikimedia.org

https://gerrit.wikimedia.org/r/336444

@demon I added you to https://gerrit.wikimedia.org/r/#/c/336444/, mind taking a look and helping deploy? I can bug someone else, but I don't know how to pick who is the least swamped...

demon added a comment.Feb 13 2017, 5:28 PM

@demon I added you to https://gerrit.wikimedia.org/r/#/c/336444/, mind taking a look and helping deploy? I can bug someone else, but I don't know how to pick who is the least swamped...

Yeah, I dropped the ball on this last week (sorry, things came up). Let's get it done this week

Yeah, I dropped the ball on this last week (sorry, things came up). Let's get it done this week

no rush no problem, anytime except Thursday between 16:00 and 20:00 EST.

@demon: got time this week?

Yes, I did all the prep work for this, it should be already sitting on the clusters and just need the config merged

Change 336444 merged by jenkins-bot:
Enable Dashiki extension on meta.wikimedia.org

https://gerrit.wikimedia.org/r/336444

Milimetric assigned this task to demon.Feb 27 2017, 11:52 PM
Milimetric moved this task from Ready to Deploy to Done on the Analytics-Kanban board.
demon closed this task as Resolved.Feb 27 2017, 11:56 PM